Status: Closed Start date: 2011-11-15
Priority: Normal Due date:
Assignee: Chris Cannam % Done: 90%
Category: Estimated time: 0.00 hour
Target version:
Description

    1. Go to the projects index
    2. Add some tags in the filter area
    3. Press "Filter" 
    4. Observe that the page that comes back with the filtered results no longer has any tags displayed in the filter area

So when you get your results, you can no longer see which tags you asked to filter for, and there is no easy way to change that set of
tags and search again.  (As it happens, you can get rid of the filter by pressing the Filter button to repeat the search with no tags -- but
that's not obvious)

History
#1 - 2011-11-17 11:34 PM - Luis Figueira
- Description updated
- Status changed from New to In Progress
- % Done changed from 0 to 70
- Parent task set to #14

Now I'm using a remote form (as of commit:06a9d1cf5e15), so I'm only rendering the filtered projects list.

I need to add a "Clear Search" button, though. Should it clean both inputs (text and tags)?

#2 - 2011-11-18 02:26 PM - Luis Figueira
- Status changed from In Progress to Feedback
- Assignee changed from Luis Figueira to Chris Cannam
- % Done changed from 70 to 90

Fixed in commit:62a8d632451c.

Added a clear search button; changed the submit form button to a link, in a quite hacky style… Maybe we should add an Issue to review this later?

#3 - 2011-11-23 05:08 PM - Chris Cannam
- Status changed from Feedback to Closed
